Skip to main content
GET
Get paginated list of gasless transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

cursor
string

Cursor for pagination

status
string

Filter by transaction status (pending, submitted, success, failure)

chainType
string

Filter by chain type (evm)

chainId
string

Filter by chain id (exact match)

Search by wallet address, transaction hash, user id, or request id

start
string<date-time>

ISO 8601 date-time lower bound (inclusive) on createdAt

end
string<date-time>

ISO 8601 date-time upper bound (exclusive) on createdAt

Response

Paginated gasless transaction list

nextCursor
string | null
required

Cursor for fetching the next page, null if no more pages

totalCount
integer
required

Total number of transactions matching the filters

transactions
object[]
required
Last modified on July 15, 2026